Better fix for LITEDIR bug

git-svn-id: https://shorewall.svn.sourceforge.net/svnroot/shorewall/trunk@4145 fbd18981-670d-0410-9b5c-8dc0c1a9a2bb
This commit is contained in:
teastep 2006-06-19 15:54:30 +00:00
parent e1db37160b
commit dadd6ad1ce
3 changed files with 4 additions and 3 deletions

View File

@ -1206,6 +1206,8 @@ fi
ensure_config_path
export CONFIG_PATH
[ -n "$LITEDIR" ] || { echo " ERROR: LITEDIR not defined in ${SHAREDIR}/configpath" >&2; exit 2; }
get_config
FIREWALL=$LITEDIR/firewall

View File

@ -219,8 +219,6 @@ ensure_config_path() {
[ -f $F ] || { echo " ERROR: $F does not exist"; exit 2; }
. $F
fi
[ -n "$LITEDIR" ] || { echo " ERROR: LITEDIR not defined in $F"; exit 2; }
}
#

View File

@ -200,7 +200,6 @@ get_config() {
# This block is avoided for compile for export and when the user isn't root
#
export CONFIG_PATH
export LITEDIR
[ -z "$LOGFILE" ] && LOGFILE=/var/log/messages
@ -1306,6 +1305,8 @@ reload_command()
{
local verbose=$(make_verbose)
[ -n "$LITEDIR" ] || { echo " ERROR: LITEDIR not defined in ${SHAREDIR}/configpath" >&2; exit 2; }
if shorewall $debugging $verbose compile -e $1 $1/firewall && \
echo "Copying ${1}/firewall to ${2}:${LITEDIR}..." && \
scp $1/firewall root@${2}:${LITEDIR}